CMSIS-DSP: arm_cfft_radix2_instance_f16 Struct Reference

| CMSIS-DSP Version 1.10.0 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

- Data Structures
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Fields
arm_cfft_radix2_instance_f16 Struct Reference

Instance structure for the floating-point CFFT/CIFFT function.

## Data Fields

uint16_t | fftLen
uint8_t | ifftFlag
uint8_t | bitReverseFlag
const float16_t * | pTwiddle
const uint16_t * | pBitRevTable
uint16_t | twidCoefModifier
uint16_t | bitRevFactor
float16_t | onebyfftLen

## Field Documentation

uint8_t bitReverseFlag

flag that enables (bitReverseFlag=1) or disables (bitReverseFlag=0) bit reversal of output.

uint16_t bitRevFactor

bit reversal modifier that supports different size FFTs with the same bit reversal table.

uint16_t fftLen

length of the FFT.

uint8_t ifftFlag

flag that selects forward (ifftFlag=0) or inverse (ifftFlag=1) transform.

float16_t onebyfftLen

value of 1/fftLen.

const uint16_t* pBitRevTable

points to the bit reversal table.

const float16_t* pTwiddle

points to the Twiddle factor table.

uint16_t twidCoefModifier

twiddle coefficient modifier that supports different size FFTs with the same twiddle factor table.